Skip to main content
PUT
/
v1
/
leads
/
{id}
Atualizar lead
curl --request PUT \
  --url https://api.timelyai.com.br/v1/leads/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "customer_name": "<string>",
  "customer_phone": "<string>",
  "customer_email": "jsmith@example.com",
  "status": "new",
  "score": 50,
  "budget_range": "<string>",
  "pain_points": [
    "<string>"
  ],
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "qualification_data": {}
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_name": "Maria Souza",
    "customer_phone": "<string>",
    "customer_email": "jsmith@example.com",
    "status": "new",
    "score": 50,
    "budget_range": "<string>",
    "pain_points": [
      "<string>"
    ],
    "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "qualification_data": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Chave de API para autenticação. Obtenha sua chave em https://app.timelyai.com.br/developers

Path Parameters

id
string<uuid>
required

ID único do recurso (UUID)

Body

application/json
customer_name
string

Nome do lead

Required string length: 1 - 255
customer_phone
string

Telefone do lead

Maximum string length: 50
customer_email
string<email>

Email do lead

Maximum string length: 255
status
enum<string>

Status do lead

Available options:
new,
contacted,
qualified,
proposal,
negotiation,
won,
lost
score
integer

Pontuação do lead

Required range: 0 <= x <= 100
budget_range
string

Faixa de orçamento

Maximum string length: 100
pain_points
string[]

Pontos de dor identificados

contact_id
string<uuid>

ID do contato associado

qualification_data
object

Dados de qualificação em formato livre

Response

Lead atualizado

data
object